Bug 1478 - /etc/X11/app-default/Emacs should be killed
: /etc/X11/app-default/Emacs should be killed
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-X11)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-10-27 15:33 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-27 15:33:40
Файл /etc/X11/app-default/Emacs мешает настраивать Emacs обычным пользователям.
Проблема в том, что ресурсы оттуда можно перекрыть в ~/.Xresources, но нельзя
удалить. Поэтому, например, заданный там Emacs.menu.attributeFamily: helv
вынуждает меня пользоваться для установки шрифта меню ресурсами attribute*
(даже attributeFont уже не работает). Без этого достаточно было бы:

Emacs.font: -*-vga9-medium-r-normal-*-16-*-*-*-*-*-koi8-r
Emacs*Font: -*-serenetypewriter-medium-r-normal-*-*-120-*-*-*-*-koi8-r
Emacs.variable-pitch.attributeFont:
-*-helvetica-medium-r-normal-*-*-140-*-*-*-*-koi8-r
Emacs.tooltip.attributeFont:
-*-helvetica-medium-r-normal-*-*-120-*-*-*-*-koi8-r

---

---
------- Comment #1 From 2003-02-10 21:18:10 -------
Во-первых, я проверил: emacs-21.2-alt12 Emacs.menu.attributeFont работает: т.е.
указанное его значение в ресурсах перекрывает Emacs.menu.attributeFamily из
/etc/X11/app-defaults/Emacs.


Во-вторых:

Я оставлю в /etc/X11/app-defaults/Emacs и в /etc/X11/Xresources только

Emacs.default.attributeFamily: fixed

из всего, что связано со шрифтами. Для 21.2-alt14 в локализованных
/etc/X11/Xresources.* не нужно ничего.
------- Comment #2 From 2003-02-10 21:18:10 -------
Во-первых, я проверил: emacs-21.2-alt12 Emacs.menu.attributeFont работает: т.е.
указанное его значение в ресурсах перекрывает Emacs.menu.attributeFamily из
/etc/X11/app-defaults/Emacs.


Во-вторых:

Я оставлю в /etc/X11/app-defaults/Emacs и в /etc/X11/Xresources только

Emacs.default.attributeFamily: fixed

из всего, что связано со шрифтами. Для 21.2-alt14 в локализованных
/etc/X11/Xresources.* не нужно ничего.
------- Comment #3 From 2003-02-11 03:11:42 -------
В emacs-21.2-alt14 Emacs.menu.attributeFamily и Emacs*font выключены.

Поставлено Emacs.default.attributeFamily: fixed

Но проверено, что оно перекрывается либо самим собой, либо 
Emacs.default.attributeFont. И это довольно разумное занчение.
------- Comment #4 From 2003-02-11 03:11:42 -------
В emacs-21.2-alt14 Emacs.menu.attributeFamily и Emacs*font выключены.

Поставлено Emacs.default.attributeFamily: fixed

Но проверено, что оно перекрывается либо самим собой, либо 
Emacs.default.attributeFont. И это довольно разумное занчение.
------- Comment #5 From 2003-08-25 14:09:10 -------
Уже давно всё работает, забыл закрыть...